Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1100344

Description of problem:

I'm unable to set cumpute-resource's "Console passwords" option via hammer. Maybe it is there somewhere, but I can not find it.

Version-Release number of selected component (if applicable):

Satellite-6.0.3-RHEL-6-20140521.0

How reproducible:

always

Steps to Reproduce:

1. Try to find a way how to uncheck "Console passwords" checkbox bia hammer.

Using webUI that would be:

Infrastructure -> Compute Resources -> <your_compute_resource> [Edit] ->

-> Console passwords

Actual results:

I have not found it.

Expected results:

There should be a way to do so.

Additional info:

1. hammer compute-resource -h

Usage:

hammer compute-resource [OPTIONS] SUBCOMMAND [ARG] ...

Parameters:

SUBCOMMAND                    subcommand

[ARG] ...                     subcommand arguments

Subcommands:

create                        Create a compute resource.

delete                        Delete a compute resource.

image                         View and manage compute resource's images

info                          Show an compute resource.

list                          List all compute resources.

update                        Update a compute resource.

Options:

-h, --help                    print help

1. hammer compute-resource update -h
Usage:

hammer compute-resource update [OPTIONS]

Options:

--description DESCRIPTION

--id ID

--name NAME                   Name to search by

--new-name NEW_NAME

--password PASSWORD           Password for RHEV, EC2, Vmware, Openstack. Secret key for EC2

--provider PROVIDER           Providers include Libvirt, Ovirt, EC2, Vmware, Openstack, Rackspace, GCE

--region REGION               for EC2 only

--server SERVER               for Vmware

--tenant TENANT               for Openstack only

--url URL                     URL for Libvirt, RHEV, and Openstack

--user USER                   Username for RHEV, EC2, Vmware, Openstack. Access Key for EC2.

--uuid UUID                   for RHEV, Vmware Datacenter

-h, --help                    print hel

Related issues:

Blocked by Foreman - Bug #5896: unable to set compute-resource's "Console pas... Closed 05/23/2014

History

#1 - 05/23/2014 07:44 AM - Dominic Cleal

- Copied from Bug #5896: unable to set compute-resource's "Console passwords" option in API added

#2 - 05/23/2014 07:44 AM - Dominic Cleal

- Copied from deleted (Bug #5896: unable to set compute-resource's "Console passwords" option in API)

#3 - 05/23/2014 07:44 AM - Dominic Cleal

- Blocked by Bug #5896: unable to set compute-resource's "Console passwords" option in API added

#4 - 10/21/2014 04:14 AM - Dominic Cleal

- Status changed from New to Rejected

#5896 was enough.
